<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.info.mapper.EEnterpriseInfoMapper">

    <resultMap id="BaseResultMap" type="com.zksy.info.domain.EEnterpriseInfo">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="enterpriseName" column="enterprise_name" jdbcType="VARCHAR"/>
            <result property="enterpriseIntroduce" column="enterprise_introduce" jdbcType="VARCHAR"/>
            <result property="address" column="address" jdbcType="VARCHAR"/>
            <result property="contact" column="contact" jdbcType="VARCHAR"/>
            <result property="legalRepresentative" column="legal_representative" jdbcType="VARCHAR"/>
            <result property="establishmentDate" column="establishment_date" jdbcType="DATE"/>
            <result property="isRules" column="is_rules" jdbcType="VARCHAR"/>
            <result property="isHighTech" column="is_high_tech" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,enterprise_name,address,
        contact,legal_representative,establishment_date,
          is_rules,is_high_tech,
        create_time,create_by,update_time,
        update_by
    </sql>
</mapper>
